document.addEventListener('DOMContentLoaded', function() {
  const typingInput = document.getElementById('typing-input');
  const textDisplay = document.querySelector('.text-display');
  const feedback = document.querySelector('.feedback');
  const playerCar = document.getElementById('player-car');
  
  const sampleText = "The quick brown fox jumps over the lazy dog. Practice makes perfect!";
  textDisplay.textContent = sampleText;
  
  typingInput.addEventListener('input', function() {
    const inputText = typingInput.value;
    const currentText = sampleText.slice(0, inputText.length);
    
    if (inputText === currentText) {
      feedback.textContent = "Correct!";
      feedback.style.color = "var(--success-color)";
      playerCar.style.left = `${(inputText.length / sampleText.length) * 100}%`;
    } else {
      feedback.textContent = "Incorrect!";
      feedback.style.color = "var(--error-color)";
    }
    
    if (inputText === sampleText) {
      feedback.textContent = "Completed!";
      typingInput.value = "";
      playerCar.style.left = "0";
    }
  });
  
  // Navigation functionality
  const navLinks = document.querySelectorAll('.nav-links a');
  const sections = document.querySelectorAll('.game-section');
  
  navLinks.forEach(link => {
    link.addEventListener('click', function(e) {
      e.preventDefault();
      const target = this.getAttribute('href').slice(1);
      
      sections.forEach(section => {
        section.style.display = section.id === target ? 'block' : 'none';
      });
    });
  });
});